Bug 1347086 (CVE-2016-7166) - CVE-2016-7166 libarchive: Denial of service using a crafted gzip file
Summary: CVE-2016-7166 libarchive: Denial of service using a crafted gzip file
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-7166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160222,reported=2...
Depends On: 1352775 1352776 1353065 1353066 1353067 1353068
Blocks: 1334215
TreeView+ depends on / blocked
 
Reported: 2016-06-16 02:35 UTC by Doran Moppert
Modified: 2019-06-11 11:13 UTC (History)
7 users (show)

Fixed In Version: libarchive 3.2.0
Doc Type: Bug Fix
Doc Text:
A vulnerability was found in libarchive. A specially crafted gzip file can cause libarchive to allocate memory without limit, eventually leading to a crash.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:55:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1844 normal SHIPPED_LIVE Important: libarchive security update 2016-09-13 00:11:35 UTC
Red Hat Product Errata RHSA-2016:1850 normal SHIPPED_LIVE Important: libarchive security update 2016-09-12 23:54:24 UTC

Description Doran Moppert 2016-06-16 02:35:40 UTC
A specially crafted gzip file can cause libarchive to allocate memory
without limit, eventually leading to a crash.

External references:
    https://github.com/libarchive/libarchive/issues/660

Upstream fix:
    https://github.com/libarchive/libarchive/commit/6e06b1c89

Comment 4 Doran Moppert 2016-07-05 04:36:52 UTC
Created libarchive tracking bugs for this issue:

Affects: epel-5 [bug 1352775]
Affects: fedora-all [bug 1352776]

Comment 8 Pavel Raiskup 2016-07-08 07:38:50 UTC
FTR: Not back-porting follow-up patch 37649d274867edd2dd25d8a3057c3b6cd81ce83e

Comment 12 errata-xmlrpc 2016-09-12 19:56:17 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:1850 https://rhn.redhat.com/errata/RHSA-2016-1850.html

Comment 13 errata-xmlrpc 2016-09-12 20:13:14 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:1844 https://rhn.redhat.com/errata/RHSA-2016-1844.html


Note You need to log in before you can comment on or make changes to this bug.